%define org_release 4
Summary: WideStudio Application Builder
Summary(ja): WideStudio ץꥱӥ
Name: WideStudio
Version: 3.20
Release: %{org_release}vl1
Source: ws-v%{version}-%{org_release}-src.tar.gz
Copyright: COPYRIGHT
Group: Development/Tools
Distribution: VineLinux 2.6(i386)
BuildRoot: %{_tmppath}/%{name}-root
Packager: Tom Mishima <tmishima@mail.at-m.or.jp>
Vendor: Toshikaz Hirabayashi
Url: http://www.widestudio.org
%description
WideStudio is an integrated development environment(IDE) to build GUI applications for Linux / FreeBSD / SOLARIS / Windows95/98/ME,Windows NT,Win2K.
%description -l ja
WideStudioϡWindows95,98,WindowsNT,Windows2000,Linux,FreeBSD,SOLARISư롢C/C++ν񻺤δե꡼Υɥץꥱ糫ȯĶǤ


%package opengl
Summary: WideStudio OpenGL library.
Summary(ja): WideStudio OpenGL 饤֥
Group: Development/Tools
Requires: WideStudio = %{version}, XFree86-libs, glut, glut-devel
%description opengl
The WideStudio-opengl package provides library for OpenGL.
%description opengl -l ja
WideStudio-openglϡOpenGLѤΥ饤֥󶡤ޤ


%package mysql
Summary: WideStudio MySQL library.
Summary(ja): WideStudio MySQL 饤֥
Group: Development/Tools
Requires: WideStudio = %{version}, MySQL, MySQL-shared
%description mysql
The WideStudio-mysql package provides library for MySQL.
%description mysql -l ja
WideStudio-mysqlϡMySQLѤΥ饤֥󶡤ޤ


%package postgresql
Summary: WideStudio postgreSQL library.
Summary(ja): WideStudio postgreSQL 饤֥
Group: Development/Tools
Requires: WideStudio = %{version}, postgresql-libs
%description postgresql
The WideStudio-postgresql package provides library for postgreSQL.
%description postgresql -l ja
WideStudio-postgresqlϡpostgreSQLѤΥ饤֥󶡤ޤ


%package unixodbc
Summary: WideStudio unixODBC library.
Summary(ja): WideStudio unixODBC 饤֥
Group: Development/Tools
Requires: WideStudio = %{version}, unixODBC
%description unixodbc
The WideStudio-unixodbc package provides library for unixODBC.
%description unixodbc -l ja
WideStudio-unixodbcϡunixODBCѤΥ饤֥󶡤ޤ


%package python
Summary: WideStudio python library.
Summary(ja): WideStudio python 饤֥
Group: Development/Tools
Requires: WideStudio = %{version}, python, python-devel
%description python
The WideStudio-python package provides library for python.
%description python -l ja
WideStudio-pythonϡpythonѤΥ饤֥󶡤ޤ


%package ruby
Summary: WideStudio ruby library.
Summary(ja): WideStudio ruby 饤֥
Group: Development/Tools
Requires: WideStudio = %{version}, ruby
%description ruby
The WideStudio-ruby package provides library for ruby.
%description ruby -l ja
WideStudio-rubyϡrubyѤΥ饤֥󶡤ޤ


%package perl
Summary: WideStudio perl library.
Summary(ja): WideStudio perl 饤֥
Group: Development/Tools
Requires: WideStudio = %{version}, perl
%description perl
The WideStudio-perl package provides library for perl.
%description perl -l ja
WideStudio-perlϡperlѤΥ饤֥󶡤ޤ


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n ws-v%{version}-%{org_release}
#%setup -q -n ws

%build
CXXFLAGS=$RPM_OPT_FLAGS ./configure
make 

#%install
mkdir -p $RPM_BUILD_ROOT/usr/local/ws
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/lib
make WS_DEFAULT_DIR=$RPM_BUILD_ROOT/usr/local/ws WS_INST_DIR=$RPM_BUILD_ROOT/usr/local install

%post
ln -sf /usr/local/ws/bin/* /usr/local/bin
ln -sf /usr/local/ws/lib/* /usr/local/lib

%postun
rm -f /usr/local/lib/jpg.so
rm -f /usr/local/lib/png.so
rm -f /usr/local/lib/xpm.so
rm -f /usr/local/lib/libws*
rm -f /usr/local/lib/_mpfcmodule.so;
rm -f /usr/local/lib/mpfc.py;
rm -f /usr/local/lib/mpfc.so;
rm -f /usr/local/bin/wsbuilder
rm -f /usr/local/bin/wsbuilderd
rm -f /usr/local/bin/wstitle
rm -f /usr/local/bin/wsreset
rm -f /usr/local/bin/wssearch
rm -f /usr/local/bin/wstracer
rm -f /usr/local/bin/wsagent
rm -f /usr/local/bin/sjisfix
rm -rf /usr/local/ws

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT Changelog README README.eucjp
/usr/local/ws/README
/usr/local/ws/README.eucjp
/usr/local/ws/COPYRIGHT
/usr/local/ws/Changelog
/usr/local/ws/bin
/usr/local/ws/doc
/usr/local/ws/include
/usr/local/ws/lib/jpg.so
/usr/local/ws/lib/libws.so
/usr/local/ws/lib/libws.so.3.20
/usr/local/ws/lib/libwsad.so
/usr/local/ws/lib/libwsad.so.3.20
/usr/local/ws/lib/libwsb.so
/usr/local/ws/lib/libwsb.so.3.20
/usr/local/ws/lib/libwsj3w.so
/usr/local/ws/lib/libwsj3w.so.3.20
/usr/local/ws/lib/libwsr.so
/usr/local/ws/lib/libwsr.so.3.20
/usr/local/ws/lib/libwsx11.so
/usr/local/ws/lib/libwsx11.so.3.20
/usr/local/ws/lib/png.so
/usr/local/ws/lib/xpm.so
/usr/local/ws/samples/C
/usr/local/ws/samples/class
/usr/local/ws/samples/EUCJP
/usr/local/ws/samples/graphics
/usr/local/ws/samples/net
/usr/local/ws/samples/print
/usr/local/ws/samples/remote_instance
/usr/local/ws/samples/README
/usr/local/ws/samples/share
/usr/local/ws/samples/SJIS
/usr/local/ws/samples/UTF8
/usr/local/ws/samples/UTF8-JP
/usr/local/ws/sys/config
/usr/local/ws/sys/data/BIG5
/usr/local/ws/sys/data/C/WSCmainWindow/menu1.win
/usr/local/ws/sys/data/C/WSCmainWindow/menu2.win
/usr/local/ws/sys/data/C/WSCmainWindow/menu3.win
/usr/local/ws/sys/data/C/WSCmainWindow/templates
/usr/local/ws/sys/data/C/default.prj
/usr/local/ws/sys/data/C/default.prj.freebsd
/usr/local/ws/sys/data/C/default.prj.gsun
/usr/local/ws/sys/data/C/default.prj.linux
/usr/local/ws/sys/data/C/default.prj.sun
/usr/local/ws/sys/data/C/default.rc
/usr/local/ws/sys/data/C/default.rc.freebsd
/usr/local/ws/sys/data/C/default.rc.gsun
/usr/local/ws/sys/data/C/default.rc.linux
/usr/local/ws/sys/data/C/default.rc.sun
/usr/local/ws/sys/data/C/lib1.data
/usr/local/ws/sys/data/C/lib2.data
/usr/local/ws/sys/data/C/lib3.data
/usr/local/ws/sys/data/C/lib4.data
/usr/local/ws/sys/data/C/lib5.data
/usr/local/ws/sys/data/C/license
/usr/local/ws/sys/data/C/locales
/usr/local/ws/sys/data/EUCCN
/usr/local/ws/sys/data/EUCJP/WSCmainWindow/menu1.win
/usr/local/ws/sys/data/EUCJP/WSCmainWindow/menu2.win
/usr/local/ws/sys/data/EUCJP/WSCmainWindow/menu3.win
/usr/local/ws/sys/data/EUCJP/WSCmainWindow/templates
/usr/local/ws/sys/data/EUCJP/default.prj
/usr/local/ws/sys/data/EUCJP/default.prj.freebsd
/usr/local/ws/sys/data/EUCJP/default.prj.gsun
/usr/local/ws/sys/data/EUCJP/default.prj.linux
/usr/local/ws/sys/data/EUCJP/default.prj.sun
/usr/local/ws/sys/data/EUCJP/default.rc
/usr/local/ws/sys/data/EUCJP/default.rc.freebsd
/usr/local/ws/sys/data/EUCJP/default.rc.gsun
/usr/local/ws/sys/data/EUCJP/default.rc.linux
/usr/local/ws/sys/data/EUCJP/default.rc.sun
/usr/local/ws/sys/data/EUCJP/lib1.data
/usr/local/ws/sys/data/EUCJP/lib2.data
/usr/local/ws/sys/data/EUCJP/lib3.data
/usr/local/ws/sys/data/EUCJP/lib4.data
/usr/local/ws/sys/data/EUCJP/lib5.data
/usr/local/ws/sys/data/EUCJP/license
/usr/local/ws/sys/data/EUCJP/locales
/usr/local/ws/sys/data/EUCKR
/usr/local/ws/sys/data/ISO8859-10
/usr/local/ws/sys/data/ISO8859-11
/usr/local/ws/sys/data/ISO8859-12
/usr/local/ws/sys/data/ISO8859-13
/usr/local/ws/sys/data/ISO8859-14
/usr/local/ws/sys/data/ISO8859-15
/usr/local/ws/sys/data/ISO8859-2
/usr/local/ws/sys/data/ISO8859-3
/usr/local/ws/sys/data/ISO8859-4
/usr/local/ws/sys/data/ISO8859-5
/usr/local/ws/sys/data/ISO8859-6
/usr/local/ws/sys/data/ISO8859-7
/usr/local/ws/sys/data/ISO8859-8
/usr/local/ws/sys/data/ISO8859-9
/usr/local/ws/sys/data/KOI8R
/usr/local/ws/sys/data/SJIS/WSCmainWindow/menu1.win
/usr/local/ws/sys/data/SJIS/WSCmainWindow/menu2.win
/usr/local/ws/sys/data/SJIS/WSCmainWindow/menu3.win
/usr/local/ws/sys/data/SJIS/WSCmainWindow/templates
/usr/local/ws/sys/data/SJIS/default.prj
/usr/local/ws/sys/data/SJIS/default.prj.freebsd
/usr/local/ws/sys/data/SJIS/default.prj.gsun
/usr/local/ws/sys/data/SJIS/default.prj.linux
/usr/local/ws/sys/data/SJIS/default.prj.sun
/usr/local/ws/sys/data/SJIS/default.rc
/usr/local/ws/sys/data/SJIS/default.rc.freebsd
/usr/local/ws/sys/data/SJIS/default.rc.gsun
/usr/local/ws/sys/data/SJIS/default.rc.linux
/usr/local/ws/sys/data/SJIS/default.rc.sun
/usr/local/ws/sys/data/SJIS/lib1.data
/usr/local/ws/sys/data/SJIS/lib2.data
/usr/local/ws/sys/data/SJIS/lib3.data
/usr/local/ws/sys/data/SJIS/lib4.data
/usr/local/ws/sys/data/SJIS/lib5.data
/usr/local/ws/sys/data/SJIS/license
/usr/local/ws/sys/data/SJIS/locales
/usr/local/ws/sys/data/UTF8
/usr/local/ws/sys/data/copyright
/usr/local/ws/sys/data/prop.def
/usr/local/ws/sys/pixmaps
/usr/local/ws/sys/pixmaps16
/usr/local/ws/sys/pixmaps8
/usr/local/ws/sys/sample
/usr/local/ws/sys/data/C/default.prj.mac
/usr/local/ws/sys/data/C/default.prj.win
/usr/local/ws/sys/data/C/default.rc.mac
/usr/local/ws/sys/data/C/default.rc.win
/usr/local/ws/sys/data/C/make_dll
/usr/local/ws/sys/data/C/make_dll.mac
/usr/local/ws/sys/data/C/make_dll.unix
/usr/local/ws/sys/data/C/make_dll.win
/usr/local/ws/sys/data/C/make_exe
/usr/local/ws/sys/data/C/make_exe.mac
/usr/local/ws/sys/data/C/make_exe.unix
/usr/local/ws/sys/data/C/make_exe.win
/usr/local/ws/sys/data/EUCJP/default.prj.mac
/usr/local/ws/sys/data/EUCJP/default.prj.win
/usr/local/ws/sys/data/EUCJP/default.rc.mac
/usr/local/ws/sys/data/EUCJP/default.rc.win
/usr/local/ws/sys/data/EUCJP/make_dll
/usr/local/ws/sys/data/EUCJP/make_dll.mac
/usr/local/ws/sys/data/EUCJP/make_dll.unix
/usr/local/ws/sys/data/EUCJP/make_dll.win
/usr/local/ws/sys/data/EUCJP/make_exe
/usr/local/ws/sys/data/EUCJP/make_exe.mac
/usr/local/ws/sys/data/EUCJP/make_exe.unix
/usr/local/ws/sys/data/EUCJP/make_exe.win
/usr/local/ws/sys/data/SJIS/default.prj.mac
/usr/local/ws/sys/data/SJIS/default.prj.win
/usr/local/ws/sys/data/SJIS/default.rc.mac
/usr/local/ws/sys/data/SJIS/default.rc.win
/usr/local/ws/sys/data/SJIS/make_dll
/usr/local/ws/sys/data/SJIS/make_dll.mac
/usr/local/ws/sys/data/SJIS/make_dll.unix
/usr/local/ws/sys/data/SJIS/make_dll.win
/usr/local/ws/sys/data/SJIS/make_exe
/usr/local/ws/sys/data/SJIS/make_exe.mac
/usr/local/ws/sys/data/SJIS/make_exe.unix
/usr/local/ws/sys/data/SJIS/make_exe.win
/usr/local/ws/sys/data/UTF8_JP/WSCmainWindow/menu1.win
/usr/local/ws/sys/data/UTF8_JP/WSCmainWindow/menu2.win
/usr/local/ws/sys/data/UTF8_JP/WSCmainWindow/menu3.win
/usr/local/ws/sys/data/UTF8_JP/WSCmainWindow/templates
/usr/local/ws/sys/data/UTF8_JP/default.prj
/usr/local/ws/sys/data/UTF8_JP/default.prj.freebsd
/usr/local/ws/sys/data/UTF8_JP/default.prj.gsun
/usr/local/ws/sys/data/UTF8_JP/default.prj.linux
/usr/local/ws/sys/data/UTF8_JP/default.prj.mac
/usr/local/ws/sys/data/UTF8_JP/default.prj.sun
/usr/local/ws/sys/data/UTF8_JP/default.rc
/usr/local/ws/sys/data/UTF8_JP/default.rc.freebsd
/usr/local/ws/sys/data/UTF8_JP/default.rc.gsun
/usr/local/ws/sys/data/UTF8_JP/default.rc.linux
/usr/local/ws/sys/data/UTF8_JP/default.rc.mac
/usr/local/ws/sys/data/UTF8_JP/default.rc.sun
/usr/local/ws/sys/data/UTF8_JP/lib1.data
/usr/local/ws/sys/data/UTF8_JP/lib2.data
/usr/local/ws/sys/data/UTF8_JP/lib3.data
/usr/local/ws/sys/data/UTF8_JP/lib4.data
/usr/local/ws/sys/data/UTF8_JP/lib5.data
/usr/local/ws/sys/data/UTF8_JP/license
/usr/local/ws/sys/data/UTF8_JP/locales
/usr/local/ws/sys/data/UTF8_JP/make_dll
/usr/local/ws/sys/data/UTF8_JP/make_dll.mac
/usr/local/ws/sys/data/UTF8_JP/make_dll.unix
/usr/local/ws/sys/data/UTF8_JP/make_exe
/usr/local/ws/sys/data/UTF8_JP/make_exe.mac
/usr/local/ws/sys/data/UTF8_JP/make_exe.unix
/usr/local/ws/sys/data/editors
/usr/local/ws/sys/data/main.ico
/usr/local/ws/sys/data/wsres.rc

%files opengl
%defattr(-,root,root)
/usr/local/ws/lib/libwsopengl.so
/usr/local/ws/lib/libwsopengl.so.3.20

%files mysql
%defattr(-,root,root)
/usr/local/ws/lib/libwsmysql.so
/usr/local/ws/lib/libwsmysql.so.3.20

%files postgresql
%defattr(-,root,root)
/usr/local/ws/lib/libwspostgres.so.3.20
/usr/local/ws/lib/libwspostgres.so

%files unixodbc
%defattr(-,root,root)
/usr/local/ws/lib/libwsodbc.so
/usr/local/ws/lib/libwsodbc.so.3.20
/usr/local/ws/samples/database

%files python
%defattr(-,root,root)
/usr/local/ws/lib/mpfc.py
/usr/local/ws/lib/_mpfcmodule.so
/usr/local/ws/samples/Python

%files ruby
%defattr(-,root,root)
/usr/local/ws/lib/mpfc.so
/usr/local/ws/samples/Ruby

%files perl
%defattr(-,root,root)
/usr/local/ws/lib/mpfc_perl.so
/usr/local/ws/lib/mpfc.pm
/usr/local/ws/samples/Perl

%changelog
* Tue Apr 29  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of xim on MacOS X with X11 Window System.

* Fri Apr 25  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added online manuals of programming with ruby.

* Tue Apr 22  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of binding of WSCvssocket on WIN98/95

* Tue Mar 04  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a configuration for MacOS X with X11 Window System.

* Thu Feb 20  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a network function to WSCfileSelect of WIN32 version.

* Sat Feb 15  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Added a function of launching editor from compiling message
    dialog to wsbuilder.

* Wed Feb 12  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of WSNtitleBar property of WIN32 WSCwindow.

* Mon Feb 10  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug of clicking menu items of WSCcomboBox.

* Wed Feb 05  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Updated a function of horizontal scrolling on verbose mode
    of WSClist class.

* Mon Feb 03  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Fixed a bug that the compiling message dialog may hang-up.

* Sat Jan 25  2003 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
  - Updated mpfc wrap library for Ruby/Python/Perl.

* Wed Dec 04  2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added mpfc wrap library for Perl.

* Sat Oct 05 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added mpfc wrap library for Python.

* Fri Sep 20 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added mpfc wrap library for Ruby.

* Sat Aug 10 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCvdbDataSource class.

* Wed Jul 10 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed English on-line manuals.

* Mon Jul 01 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed Japanese on-line manuals.

* Thu Jun 20 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a core dump bug of wsbuilder.

* Mon Jun 10 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added wsagent-local to WIN32 package.

* Wed May 29 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCvodbc ODBC client class

* Mon May 20 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCR* remote stab class

* Wed May 15 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added wsagent command which manages the remote instances.

* Sun May 12 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a bug of WSDdev::drawGradation()

* Fri May 10 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCvdb database client class

* Wed May 08 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCRbase remote stab class

* Sun May 05 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added remote call functions

* Thu Apr 25 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added PNG format function.

* Sun Apr 14 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCopenglForm class

* Thu Apr 04 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCj3wform class

* Mon Mar 25 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCvudpsocket class

* Mon Mar 18 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCvcsocket/WSCvssocket class

* Sun Mar 10 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a bug of WSCsform's virtical mode

* Sat Mar 02 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a bug of WSCtextField::getTopLine

* Thu Feb 28 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a bug of the instance viewer of wsbuilder

* Mon Feb 25 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a bug of Alt + CharKey on WSCpulldownMenu(in WIN32 Edition)

* Wed Feb 20 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a bug of WSCgrid::setItem

* Wed Feb 13 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a bug of WSCstring::deleteChars

* Mon Feb 11 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a bug of WSCprform::prdraw

* Sun Feb 10 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a bug of WSCdirTree::draw

* Fri Jan 25 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCvimage class.

* Tue Jan 15 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added MS print out function to WSCprform

* Thu Jan 10 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a bug of initializing data source

* Sat Jan 05 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added scr-mouse triggers to WSCscrForm/WSCtextField

* Tue Jan 01 2002 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added TraceDialog to wsbuilder

* Tue Dec 25 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Updated the class reference

* Thu Dec 20 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSDwinMessage

* Mon Dec 10 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCgrid class.

* Sat Dec 02 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added property WSNenableInput to WSClist

* Fri Nov 23 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added an executable command "wstracer"

* Thu Nov 22 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a bug of generating source code of application window,
  that does not generate output of some properties;

* Tue Nov 20 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a bug of executing event procedures on store/load function.

* Sat Nov 17 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a bug of executing the sourcecode editor for the class windows on the bu
ilder.

* Mon Nov 12 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed API reference of on line manuals.

* Sat Nov 10 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCprform class.

* Sun Nov 04 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added a function of generating the structure infomation to the builder.

* Mon Oct 15 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed refreshing logic of WSCdirTree.

* Sat Oct 13 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed refreshing logic of WSClist.

* Mon Oct 08 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed refreshing logic of WSCscrForm.

* Sat Oct 06 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed refreshing logic of WSCsform.

* Thu Oct 04 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed X11 cut & paste function with.

* Wed Sep 29 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added some method to WSCradioGroup.

* Thu Sep 27 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added an input field in order to add external source file to the project.

* Wed Sep 26 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added a function of generating platform compatible project file.

* Mon Sep 24 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed wsbuilder's icon bar with WSCfform class.

* Sun Sep 23 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCfform class

* Thu Sep 20 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCdirTree class

* Sun Sep 16 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed memory leaking of jpg.so

* Wed Sep 10 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added a corner accessory and status area to WSCmainWindow.

* Tue Sep 09 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a bug on 24bpp image reading function.

* Mon Sep 08 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added FOCUS-CH trigger to WSCmainWindow

* Sat Sep 06 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed memory leaking on deleting instances.

* Fri Aug 31 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed icons.

* Sat Aug 25 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Updated the English online manuals.

* Wed Aug 15 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Updated the Japanese online manuals.

* Fri Aug 10 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed the \n code conversion of the WSCtextField/WSCvmifield class.
- Fixed a source code of the storing function for a bug of gcc.
- Fixed a source code of the storing function for a bug of gcc.

* Fri Jul 20 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Updated the Japanese online manuals.
- Fixed a bug of the storing function on unix.

* Sat Jul 14 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed updating window of wsbuilder under resizing.

* Fri Jul 06 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCvgraphMatrix class.

* Wed Jul 04 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added a function of image buffer.

* Mon Jul 02 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added a function of creating directory on new project wizard.

* Sat Jun 30 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a segv buf of the event procedure editor.
- Fixed a buf of WSCvifield's keyboard focus.

* Fri Jun 29 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a buf of updating WSCvXXX objects by setVisible(True).
- Fixed a buf of handing size of iconic window.

* Fri Jun 22 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added a function of wheel of mouse.
- Fixed a bug of converting code by sjisfix.

* Sat Jun 16 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added horizontal scroll function to WSClist.

* Mon Jun 11 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Updated samples and Added UNICODE samples.

* Sun Jun 10 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added property input dialog to wsbuilder.
- Added WSCvklabel,WSCvkslabel class.

* Sat Jun 09 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCtform class.
- Added WSNanchorXXX properties.

* Wed Jun 06 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCverbList,WSCtreeList class.

* Sat Jun 02 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added a function to generate project files with various codes.

* Mon May 28 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added a file view list to wsbuilder
- Fixed make.win and makefile, added makewin.bat

* Sun May 27 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added saving last project directory function to wsbuilder.

* Fri May 25 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed keyboard input bug on windows version.

* Tue May 22 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCvgraphScale class.
- Added WSNitemHeight to WSClist class.

* Mon May 21 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCvlineGraph class.

* Sun May 20 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCvbarGraph class.

* Sat May 19 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added bmp function to unix version.
- Added jpg function to windows version.

* Tue May 15 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCcheckGroup class.
- Added WSCradioGroup class.
- Added WSCvballoonHelp class.

* Fri May 11 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCmenuArea class.

* Thu May 10 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCmainWindow class.

* Tue May 08 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCvspace class.

* Sun May 06 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCvtimer class.

* Sat May 05 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCngbase class.

* Tue May 01 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCvertForm/WSChorzForm class.
- Added WSCvpifield class.

* Mon Apr 30 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCvdrawingArea class.

* Fri Apr 20 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added I18N function.
- Added UNICODE function.

* Thu Apr 05 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added xpms to dynamic libraries.

* Sat Mar 24 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a bug of selected string on WSCvifield.
- Fixed a bug of updating values on WSCtextField.
- Fixed return key focus bug on the procedure/trigger creation dialog.
- Fixed RESIZE trigger on WSCwindow/WSCform.
- Fixed some clearing bug of WSClist.
- Added COPYRIGHT file.
- Added install/uninstall section to makefile

* Sun Mar 11 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added a method getItemValue() to WSClist.
- Fixed a fault of clicking right button on  WSCpulldownMenu/WSCoption.
- Added a new dialog which is used to setup user define triggers.
- Added POLICY_CH trigger to WSCbaseDialog.
- Added a handler of exiting application to WSCwindow.
- Fixed the update timing of input value of property editor.
- Fixed the update timing of input value of window attribute editor.
- Fixed cut & paste function of the compiling message dialog.
- Deleted WSClist from Forms of the object box dialog.

* Thu Feb 22 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed for Redhat 7.0.

* Wed Feb 21 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSNexit property to WSCwindow.
- Added #DEFAULTFONT to .wsrc for customizing of FONT_NO 8.
- Changed value of property:WSNmenuItems of WSCpulldownMenu/WSCoption.
- Fixed a miss of TRG-LIST (added FOCUS_CH to it) of WSCprocedureEditor
- Fixed a refresh bug of WSClist's scrolling.
- Added a method replaceItem to WSClist.
- Fixed a bug of updating of WSClist.

* Thu Jan 25 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a bug of keyboard focus handling on WSCpulldownMenu.
- Fixed a bug of WSNtype property of WSClist.

* Sun Jan 07 2001 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed initializing bug of WSDappDev.cpp
- Fixed samples of Windows edition(It included X11 version..).

* Thu Dec 28 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed html manuals for v1.2.

* Sat Dec 23 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCselectForeColor to WSClist.
- Fixed a 2byte code handling bug of WSCvifield/WSCtextField(Windows).

* Fri Dec 22 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Changed WSCvifield's default backcolor.
- Added a mouse pointer image function(Windows).
- Added a font selection dialog to the application builder(Windows).
- Added a function of handling icon image type(Windows).

* Mon Dec 18 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSCvradio class.
- Added a function to change the Look and Feel.

* Sun Dec 17 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added WSNworkBackColor property to dialog classes.
- Added WSCdialog class.
- Added return key focus functions to WSCvbtn/WSCvifield/WSCvmifield.

* Thu Dec 14 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed icons for 8bits depth display.
- Added a canceling to project editor.
- Added a default color selection dialog to wsbuilder.

* Wed Dec 13 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added key navigation to WSCpulldownMenu

* Tue Dec 12 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added a shorcutkey function to WSCpulldownMenu

* Fri Dec 08 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added a function that handles default colors.
- Added a pop down function by esc key to dialog.
- Added gradation property to classes.
- Changed scroll bar's face.

* Tue Nov 28 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Changed fonts for wsbuilder(X11).
- Fixed a bug of displaying jpeg file on depth above 16bit.
- Fixed a bug of mouse grabbing after dragging and dropping(Windows).
- Changed fonts for wsbuilder(Windows).

* Mon Nov 27 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added a function of displaying console on debugging mode(Windows).
- Fixed a bug of executing debugger (Windows).
- Fixed a flickering bug of WSCvmifield.
- Fixed a bug of resizing WSCscrForm (Windows).
- Fixed a flickering bug of WSCtextField's scr bar.
- Fixed a flickering bug of WSDnwDev.cpp.

* Sun Nov 19 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a problem of resizing window on Windows.

* Fri Nov 17 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added a delete handing procedure to WSCpopupMenu/WSCballoonHelp.
- Fixed a bug of executing event procedures.
- Fixed selection owner logic and added WSCbase::onSelectionChange().

* Wed Nov 15 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Changed to give a default value to WSNtitleString on builder.
- Added recursive mode to WSCpopupMenu::registerClients().

* Tue Nov 14 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a WSNworkBackColor update bug of WSCcomboBox.
- Fixed a group/uniue selected status bug of WSCvtoggle.

* Sun Nov 12 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed a WM_DELETE handling bug.
- Fixed a file selection dir-mode settings bug of builder.
- Replaced MAKE and CLEAN script file by makefile.

* Sun Nov 05 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed to handle WSEV_PARENT_VISIBLE events.
- Fixed a resizing bug of WSCwindow/WSCbaseDialog.
- Fixed a fucus bug of WSCinputDialog.
- Added a mkdir button to WSCfileSelect dialog.

* Fri Nov 03 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed makefile for making dinamic link libraries.
- Fixed WScom.cpp generating skelton source code for windows.
- Added WSDexecute::setCurrentDir,WSDexecute::getCurrentDir methods.
- Fixed WSCwizardDialog resizing bugs.
- Added WSCstring::toupper,WSCstring::tolower methods.
- Fixed WSCstring sjis bugs for windows.
- Added include/win directory
- Added src/win directory
- Fixed WSCfileSelect dirmode clicking-dir bugs.
- Fixed WSCbaseDialog resizing bugs.
- Added WSCprocessBox::getHandle(),WSNdirName to WSCprocessBox class.
- Fixed WSCpropretyEditor *WSNvis* operation bugs.

* Mon Oct 16 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Fixed WSCvifield::deleteSelectedString().

* Sat Oct 07 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added a notepad sample.
- Fixed some WSCvifield/WSCtextField bugs.

* Thu Oct 05 2000 Toshikaz Hirabayashi <uj3s-hrby@asahi-net.or.jp>
- Added setWithXXX() method to WSDkeyboard class.
- Added methods for selected string to WSCvifield/WSCtextField class.
- Changed onXXXX() methods from protected to public.
